<%#
# Sidebar

This partial is used to display the sidebar in Administrate.
By default, the sidebar contains navigation links
for all resources in the admin dashboard,
as defined by the routes in the `admin/` namespace
%>
<div class="sidebar__inner">
<h1 class="sidebar__title">
  <%= link_to(root_path) do %>
  <span class="site-title">
    <span class="site-title__main">kath.de</span>
    <span class="site-title__sub">Redaktion</span>
  </span>
  <% end %>
</h1>

<div class="sidebar__main">
<% if authorized? %>
  <h3 class="sidebar__section-title"><%= t('sidebar.section.content') %></h3>
  <ul class="sidebar__list">
    <% (Administrate::Namespace.new(namespace).resources).each do |resource| %>
      <li>
        <%=
        link_to(
          display_resource_name(resource.name),
          resource_index_path(resource.path),
          class: "sidebar__link sidebar__link--#{nav_link_state(resource)}"
        ) %>
      </li>
    <% end %>
  </ul>

  <ul class="sidebar__list sidebar__list--secondary">
    <li><%= link_to 'Anleitungen', docs_path, class: "sidebar__link" %></li>
    <li><%= link_to 'Redaktions-Posteingang', 'https://webmail.kath.de/', class: "sidebar__link" %></li>
  </ul>
<% end %>
</div>

<div class="sidebar__footer">
<% if authorized? %>
  <%= link_to t('logout'), logout_path, class: "sidebar__link sidebar__link--logout" %>
  <div class="current_user__username"><%= current_user.username %></div>
<% end %>
</div>
</div>
